@keyframes fadeInWrapper {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeInModal {
  from {
    opacity: 0;
    transform: translateY(-50px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}


.modal {
  &__wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00000090;
    overflow: hidden;
    z-index: 999;
    animation: fadeInWrapper 0.4s ease 1 forwards;
  }
  
  display: block;
  padding: 8px;
  border-radius: 16px;
  background-color: #fff;
  border: #D8D8D8 1px solid;
  box-shadow: 0 4px 8px #00000020;
  animation: fadeInModal 0.8s ease 1 forwards;

  min-width: 320px;
  min-height: 120px;
  max-height: calc(100vh - 32px);
  max-width: calc(100vw - 16px);
  overflow-y: auto;

  &__close {
    position: absolute;
    top: 12px;
    right: 12px;
    background: transparent;
    border: none;
    outline: none;
    background: url('/images/icons/cross.svg');
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: top right;
    width: 32px;
    height: 32px; 
    cursor: pointer;
    z-index: 999;
  }

  &__title {
    display: block;
    width: 100%;
    margin-bottom: 16px;
    font-size: 16px;
    padding-right: 24px;
  }
}